Bug 120498 - can't print out the PostScript file using EUC-JP CMap
can't print out the PostScript file using EUC-JP CMap
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-04-09 09:57 EDT by Akira TAGOH
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 7.07-36
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-09 10:12:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
proposed patch to s/ghostscript-7.05-gsj.patch/ghostscript-7.07-gsj.patch/ (17.69 KB, patch)
2004-04-09 10:07 EDT, Akira TAGOH
no flags Details | Diff
proposed patch to s/Omni-7.05-121002.patch/Omni-7.07-121002.patch/ (106.76 KB, patch)
2004-04-09 10:08 EDT, Akira TAGOH
no flags Details | Diff
proposed patch for .spec (3.39 KB, patch)
2004-04-09 10:09 EDT, Akira TAGOH
no flags Details | Diff

  None (edit)
Description Akira TAGOH 2004-04-09 09:57:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.4.1)

Description of problem:
We know this problem since we have made test-euc.ps to test the
printing against CMap for CJK. and we should knew this problem is
caused by VFlib patch. but I believed we needed VFlib2 to support some
Japanese printer driver, which depends on VFlib2. so we can't just
drop VFlib patch.
However I've researched VFlib patch and VFlib patch seems to have no
advantage particularly than gs-cjk. in addition, when VFlib patch is
disabled, printing EUC-JP PostScript works fine. so I have decided to
file this bug then.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.gs -sDEVICE=x11 /usr/share/printconf/tests/test-euc.ps

Actual Results:  Error: /rangecheck in --%op_show_continue--
Operand stack:
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--  
--nostringval--   2   %stopped_push   --nostringval--  
--nostringval--   --nostringval--   false   1   %stopped_push   1   3
  %oparray_pop   1   3   %oparray_pop   1   3   %oparray_pop   1   3 
 %oparray_pop   .runexec2   --nostringval--   --nostringval--  
--nostringval--   2   %stopped_push   --nostringval--  
--nostringval--   --nostringval--   --nostringval--
Dictionary stack:
   --dict:1060/1123(ro)(G)--   --dict:0/20(G)--   --dict:103/200(L)--
Current allocation mode is local
Last OS error: 2
Current file position is 1010
GNU Ghostscript 7.07: Unrecoverable error, exit code 1

Expected Results:  should be printed out correctly.

Additional info:

ghostscript without VFlib patch seems to have a problem on the
handling of OCF fonts, which is used for TeX. I don't know the details
though. but there are the patch to fix this already. this page is
written by Japanese though--
and note that always using the emulated OCF fonts will causes a
problem like ps2pdf outputs the fonts as the bitmap say.

If you need some help, please let me know.
Comment 1 Akira TAGOH 2004-04-09 10:07:29 EDT
Created attachment 99268 [details]
proposed patch to s/ghostscript-7.05-gsj.patch/ghostscript-7.07-gsj.patch/
Comment 2 Akira TAGOH 2004-04-09 10:08:22 EDT
Created attachment 99269 [details]
proposed patch to s/Omni-7.05-121002.patch/Omni-7.07-121002.patch/
Comment 3 Akira TAGOH 2004-04-09 10:09:07 EDT
Created attachment 99270 [details]
proposed patch for .spec
Comment 5 Tim Waugh 2004-12-09 10:12:35 EST
Thanks.  Fixed package is ghostscript-7.07-36.

Note You need to log in before you can comment on or make changes to this bug.